连接到 Fabric 上的服务提供商
在您的IBX共置资产和服务配置文件之间建立连接。

先决条件
-
身份验证 - 请提交您的用户凭据、客户端 ID 和客户端密钥以进行 OAuth2 身份验证。有关如何调用 OAuth API 来验证和确认您的凭据的说明,请参阅API 身份验证。
-
确定 A 端端口信息。使用 Get All Ports 端点获取相关端口信息。
-
选择 z 侧 Metro 位置。使用 获取所有 Metro 端点查找所有 Equinix Fabric 可用的 Metro,并确定连接的目标位置。
-
确定服务提供商的服务配置文件信息。使用 检索服务配置文件 端点搜索特定服务配置文件,或使用 获取服务配置文件 端点列出所有可用的服务配置文件,并确定要连接的配置文件。
创建从 DOT1Q端口到服务提供商的连接
要从 DOT1Q 端口创建到服务提供商的连接,请向 /fabric/v4/connections 端点发送 POST 请求。在请求正文中指定连接的配置详细信息。
POST /fabric/v4/connections | |
|---|---|
| Method | POST |
| Endpoint | /fabric/v4/connections |
| Headers | Authorization, Content-Type |
| Path Parameters | Not applicable |
| Query Parameters | Not applicable |
| Body Parameters | type, name, order, redundancy, bandwidth, aSide, zSide, notifications |
要在生产环境中安全地验证此请求而不创建连接,请参阅生产环境中的测试(API 试运行)。
示例 cURL 请求:
curl -X
POST 'https: //api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
},
"location": {
"metroCode": "SV"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考。
示例响应:
{
"href": "https://api.equinix.com/fabric/v4/connections/3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"type": "EVPL_VC",
"uuid": "3a58dd05-f46d-4b1d-a154-2e85c396ea62",
"name": "Conn-1",
"state": "PROVISIONING",
"order": {
"purchaseOrderNumber": "1-129105284100",
"billingTier": "Up to 1 Gbps"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"href": "https://api.equinix.com/fabric/v4/ports/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "XF_PORT",
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": 1001
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"href": "https://api.equinix.com/fabric/v4/serviceProfiles/a867f685-41b0-1b07-6de0-320a5c00abdd",
"type": "L2_Profile",
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"
},
"location": {
"href": "https://api.equinix.com/v4/metros/SV",
"metrocode": "SV",
"region": "AMER"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test2@equinix.com"
]
}
],
"operation": {
"equinixStatus": "PENDING_APPROVAL",
"providerStatus": "NOT_AVAILABLE"
},
"changeLog": {
"createdDateTime": "2021-07-15T19:30:29.526Z"
}
}
响应有效负载包含在请求正文中定义的配置参数。有关所有可用参数及其说明的完整列表,请参阅API 参考。
创建从 QINQ端口到服务提供商的连接
要从 QINQ 端口创建到服务提供商的连接,请向 /fabric/v4/connections 端点发送 POST 请求。在请求正文中指定连接的配置详细信息。
示例 cURL 请求:
curl -X
POST 'https: //api.equinix.com/fabric/v4/connections'
-H 'content-type: application/json'
-H 'authorization: Bearer <token>'
-d '{
"type": "EVPL_VC",
"name": "Conn-1",
"order": {
"purchaseOrderNumber": "1-129105284100"
},
"bandwidth": 1000,
"redundancy": {
"group": "b767f685-41b0-1b07-6de0-320a5c00abdd",
"priority": "SECONDARY"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "a867f685-41b0-1b07-6de0-320a5c00abdd"
},
"linkProtocol": {
"type": "QINQ",
"vlanCTag": 1001,
"vlanSTag": 1002
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "20d32a80-0d61-4333-bc03-707b591ae2f5"
},
"location": {
"metroCode": "SV"
}
}
},
"notifications": [
{
"type": "ALL",
"emails": [
"test@equinix.com",
"test@equinix.com"
]
}
]
}'
请求正文中包含的参数仅适用于此示例。有关参数及其说明的完整列表,请参阅API 参考。
监控连接
使用 Get 指定连接 端点来监控连接状态。
equinixStatus parameter values | providerStatus parameter values | Description |
|---|---|---|
PENDING_APPROVAL | NOT_AVAILABLE | Connection request awaiting approval. |
PROVISIONING or REJECTED | NOT_AVAILABLE | Connection establishment in progress or the seller has rejected the connection. |
PROVISIONED | AVAILABLE | Connection established. |
